Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.search.ui.text
Interface ISearchEditorAccess

public interface ISearchEditorAccess

This interface allows editors to provide customized access to editor internals for the search implementation to highlight matches. The search system will use the document to do line/character offset conversion if needed and it will add annotations to the annotation model.

The search system will ask an editor for an adapter of this class whenever it needs access to the document or the annotation model of the editor. Since an editor might use multiple documents and/or annotation models, the match is passed in when asking the editor. The editor is then expected to return the proper annotation model or document for the given match.

This interface is intended to be implemented by clients.

Since:
  3.0

Method Summary
`IAnnotationModel` | `getAnnotationModel(Match match)` Finds the annotation model for the given match
`IDocument` | `getDocument(Match match)` Finds the document displaying the match.

Method Detail

### getDocument

    public IDocument getDocument(Match match)

  Finds the document displaying the match.

  Parameters:
    `match` - the match
  Returns:
    the document displaying the given match.

### getAnnotationModel

    public IAnnotationModel getAnnotationModel(Match match)

  Finds the annotation model for the given match

  Parameters:
    `match` - the match
  Returns:
    the annotation model displaying the given match.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.